﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;
using System.Diagnostics;//⑬
using System.Net.Http;//⑭
using System.Text;//⑮
using System.Threading.Tasks;//⑯
using Newtonsoft.Json;//⑰
using Newtonsoft.Json.Linq;//⑱
using System.Collections;//⑲

namespace ZipCode
{
	public partial class StreetListPage : ContentPage
	{
		HttpClient _client;//⑳
		string _state;//㉑
		string _city;//㉒

		public StreetListPage(string state, string city)//㉓
		{
			InitializeComponent();
			_client = new HttpClient();//㉔
			_state = state;//㉕
			_city = city;//㉖
			RefreshDataAsync(state, city);//㉗
			ToolbarItems.Add(new ToolbarItem//⑱
			{//
				Text = "名簿",//⑲
				Command = new Command(() => Navigation.PushAsync(new PersonListPage()//⑳
				{//
					Title = "名簿"//㉑
				}))//
			});//
		}

		public async void RefreshDataAsync(string keyword, string keyword2)//㉘
		{//
			IEnumerable<NameItem> items = new List<NameItem>();//㉙
			string str = System.Net.WebUtility.UrlEncode(keyword);//㉚
			string str2 = System.Net.WebUtility.UrlEncode(keyword2);//㉛

			var uri = new Uri(string.Format("http://api.thni.net/jzip/X0401/JSON/J/{0}/{1}/street_index.js", str, str2));//㉜
			try//㉝
			{//
				var response = await _client.GetAsync(uri);//㉞
				if (response.IsSuccessStatusCode)//㉟
				{//
					var content = await response.Content.ReadAsStringAsync();//㊱
					items = JsonConvert.DeserializeObject<List<NameItem>>(content);//㊲
				}//
			}//
			catch (Exception ex)//㊳
			{//
				Debug.WriteLine(@"ERROR {0}", ex.Message);//㊴
			}//

			_listView.ItemsSource = items;//㊵
		}//

		void OnItemSelected(object sender, SelectedItemChangedEventArgs e)
		{
			var item = e.SelectedItem as NameItem;
			Navigation.PushAsync(new ZipPage(_state, _city, item.Name)
			{
				Title = "郵便番号"
			});
		}
	}
}
