using System;
using Xamarin.Forms;
using System.Collections.Generic;//⑰
using PCLStorage;//①

namespace ZipCode
{
	public class App : Application
	{
		static public string ZipDataFile = "RoxigaZipDataFile.txt";//②
		static public List<string> _data = new List<string>();//⑰
		public App()
		{
			MainPage = new NavigationPage(new StateListPage()
			{
				Title = "都道府県検索",
			})
			{
				BarBackgroundColor = Color.FromRgb(255, 32, 64),
				BarTextColor = Color.White
			};
			LoadData();//③
		}

		private async void LoadData()//④
		{//
			_data.Clear();//
			IFolder rootFolder = FileSystem.Current.LocalStorage;//⑤
			var res = await rootFolder.CheckExistsAsync(ZipDataFile);//⑥
			if (res == ExistenceCheckResult.FileExists)//⑦
			{//
				IFile file = await rootFolder.GetFileAsync(ZipDataFile);//⑧
				string data = await file.ReadAllTextAsync();//⑨
				string[] data2 = data.Split(',');//⑩
				foreach (var d in data2)//⑪
					_data.Add(d);//⑫
			}//
		}//

		protected override void OnStart()
		{
			// Handle when your app starts
		}

		protected override void OnSleep()
		{
			// Handle when your app sleeps
		}

		protected override void OnResume()
		{
			// Handle when your app resumes
		}
	}
}
