﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;
using System.Diagnostics;//⑨
using System.Net.Http;//⑩
using System.Text;//⑪
using System.Threading.Tasks;//⑫
using Newtonsoft.Json;//⑬
using Newtonsoft.Json.Linq;//⑭
using System.Collections;//⑮
using PCLStorage;//⑬

namespace ZipCode
{
	public partial class ZipPage : ContentPage
	{
		HttpClient _client;//⑯

		public ZipPage(string state, string city, string street)//⑰
		{
			InitializeComponent();
			_client = new HttpClient();//⑱
			RefreshDataAsync(state, city, street);//⑲
			ToolbarItems.Add(new ToolbarItem//⑱
			{//
				Text = "名簿",//⑲
				Command = new Command(() => Navigation.PushAsync(new PersonListPage()//⑳
				{//
					Title = "名簿"//㉑
				}))//
			});//
		}

		public async void RefreshDataAsync(string keyword, string keyword2, string keyword3)//⑳
		{//
			ZipItem items = new ZipItem();//㉑
			string str = System.Net.WebUtility.UrlEncode(keyword);//㉒
			string str2 = System.Net.WebUtility.UrlEncode(keyword2);//㉓
			string str3 = System.Net.WebUtility.UrlEncode(keyword3);//㉔

			var uri = new Uri(string.Format("http://api.thni.net/jzip/X0401/JSON/J/{0}/{1}/{2}.js", str, str2, str3));//㉕
			try//㉖
			{//
				var response = await _client.GetAsync(uri);//㉗
				if (response.IsSuccessStatusCode)//㉘
				{//
					var content = await response.Content.ReadAsStringAsync();//㉙
					items = JsonConvert.DeserializeObject<ZipItem>(content);//㉚
				}//
			}//
			catch (Exception ex)//㉛
			{//
				Debug.WriteLine(@"ERROR {0}", ex.Message);//㉜
			}//

			_zip.Text = "〒" + items.ZipCode;//㉝
			_name.Text = keyword + keyword2 + keyword3;//㉞
			_kana.Text = items.State_Kana + items.City_Kana + items.Street_Kana;//㉟
		}//

		protected void OnClicked(object sender, EventArgs e)//㊱
		{
			string address = _address.Text.Replace(",", "");//㉞
			string person = _person.Text.Replace(",", "");//㉟
			string str = _zip.Text + "  " + _name.Text + address + "  " + person;//㊱
			App._data.Add(str);//㊲
			SaveData();//⑭
			DisplayAlert("名簿に追加", str, "OK");
		}

		private async void SaveData()//⑮
		{//
			string data = "";//⑯
			for (var i = 0; i < App._data.Count; i++)//⑰
			{//
				if (i > 0)//⑱
					data += ",";//⑲
				data += App._data[i];//⑳
			}//
			IFolder rootFolder = FileSystem.Current.LocalStorage;//㉑
			IFile file = await rootFolder.CreateFileAsync(App.ZipDataFile, CreationCollisionOption.ReplaceExisting);//㉒
			await file.WriteAllTextAsync(data);//㉓
		}//
	}
}
